[AniMov] Help with HomeRange_plugin on MacOS

Anne Ghisla a.ghisla at gmail.com
Thu Dec 10 10:26:52 CET 2009


On Wed, 2009-12-09 at 19:16 -0600, Sebastian Cruz wrote:
> Hello,

> I have installed the new QGIS MIMAS on my Apple, OS 10.6. I have
> installed the Homerange plugin, with depedencies (I think). But when I
> try to run the plug in I get the following message:
> An error has occured while executing Python code:
> 
> Traceback (most recent call last):
>   File
> "/Users/sebastiancruz/.qgis//python/plugins/HomeRange_plugin/HRplugin_dialog.py", line 76, in 
>     QObject.connect(self.buttonBox, SIGNAL("accepted()"), lambda
> mth=mth: self.run(mth))
>   File
> "/Users/sebastiancruz/.qgis//python/plugins/HomeRange_plugin/HRplugin_dialog.py", line 178, in run
>     if not robjects.r.require(i)[0]:
> NameError: global name 'robjects' is not defined

Hi Sebastian,

I'd say that you forgot to install rpy2. But the error you pasted comes
after the check for rpy2 at the beginning of the file. I'll ask you to
test this line in the QGIS Python console:

import rpy2.robjects as robjects

and report any errors. If rpy2 is missing, install it, it's a Python
package (don't know the details for Mac); if it is installed but QGIS
fails to import it, we'll dig a bit more into the problem.

regards,
Anne

> Python version:
> 2.6.1 (r261:67515, Jul  7 2009, 23:51:51) 
> [GCC 4.2.1 (Apple Inc. build 5646)]
> 
> Python
> path:['/Applications/Qgis.app/Contents/MacOS/../Resources/python',
> '/Users/sebastiancruz/.qgis//python/plugins',
> '/Applications/Qgis.app/Contents/MacOS/../Resources/python/plugins',
> '/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python26.zip', '/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6', '/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/plat-darwin', '/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/plat-mac', '/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/plat-mac/lib-scriptpackages', '/System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python', '/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-tk', '/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-old', '/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload', '/Library/Python/2.6/site-packages', '/System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python/PyObjC', '/System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python/wx-2.8-mac-unicode', '/Applications/Qgis.app/Contents/Resources/python/plugins/fTools/tools']
> 
> 
> Do I need to update my Python? Any suggestions are accepted.
> 
> 
> Thank you for your help
> 
> 
> Sebastian
> _______________________________________________
> AniMov mailing list
> AniMov at faunalia.it
> http://lists.faunalia.it/cgi-bin/mailman/listinfo/animov

-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 198 bytes
Desc: This is a digitally signed message part
URL: <http://lists.faunalia.it/pipermail/animov/attachments/20091210/40aced80/attachment-0001.pgp>


More information about the AniMov mailing list